package com.siulkilulki;

import com.siulkilulki.model.Meetings;
import com.siulkilulki.presenters.MeetingsPresenter;
import com.siulkilulki.views.MeetingsViewImpl;
import com.vaadin.annotations.Theme;
import com.vaadin.server.VaadinRequest;
import com.vaadin.ui.*;

/**
 * Created by siulkilulki on 11.03.16.
 */
@Theme("mytheme")
public class ProjectMeetingManagerUI extends UI
{

    @Override
    public void init( VaadinRequest request )
    {
        VerticalLayout mainLayout = new VerticalLayout(  );
        mainLayout.setSizeFull();
        setContent( mainLayout );
        mainLayout.addComponent( new Label( "Project Meeting Manager" ) );

        MeetingsViewImpl view = new MeetingsViewImpl();
        Meetings model = new Meetings(  );
        new MeetingsPresenter( model, view );

        mainLayout.addComponent( view );

    }

    private void createUI()
    {
        VerticalLayout mainLayout = new VerticalLayout();
        setContent( mainLayout );
        Button button = new Button( "Add meeting" );
        button.addClickListener( new Button.ClickListener()
        {
            public void buttonClick( Button.ClickEvent event )
            {
                Notification.show( "To do. Button clicked" );
            }
        } );

    }
}