package com.siulkilulki.model;

import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * Created by siulkilulki on 10.03.16.
 */
public class Meeting
{
    private UUID uuid;
    private Date startDate;
    private Date endDate;
    private String topic;
    private String description;
    private List<Person> participants;

    public Meeting(  String topic, String description, Date dateStart)
    {
        this.startDate = dateStart;
        //this.endDate = dateEnd;
        this.topic = topic;
        this.description = description;
        //this.participants = participants;
    }

    public UUID getUuid()
    {
        return uuid;
    }

    public Date getDateStart()
    {
        return startDate;
    }

    public Date getEndDate()
    {
        return endDate;
    }

    public String getTopic()
    {
        return topic;
    }

    public String getDescription()
    {
        return description;
    }
}
