package com.siulkilulki.presenters;

import com.siulkilulki.model.Meeting;
import com.siulkilulki.views.MeetingRowView;
import com.siulkilulki.views.MeetingRowViewImpl;
import com.siulkilulki.views.PopUpViewImpl;
import com.vaadin.ui.Button;
import com.vaadin.ui.Layout;
import com.vaadin.ui.UI;

/**
 * Created by siulkilulki on 16.03.16.
 */
public class MeetingRowPresenter implements MeetingRowView.MeetingRowViewListener
{
    Meeting model;
    MeetingRowViewImpl view;
    MeetingsPresenter parentPresenter;

    public MeetingRowPresenter( Meeting model, MeetingRowViewImpl view, MeetingsPresenter parentPresenter)
    {
        this.model = model;
        this.view = view;
        this.parentPresenter = parentPresenter;
        view.addListener( this );
    }

    @Override
    public void buttonOnRowClick( Button.ClickEvent event )
    {
        System.out.println( "click in row View reigstered" );
        if ( event.getButton() ==  view.getDeleteButton() )
        {
            Layout parent = (Layout) view.getParent();
            parent.removeComponent( view );
            parentPresenter.getModel().removeMeeting( model );
            System.out.println( "try to delte" );
        } else if (event.getButton() == view.getViewButton())
        {
            PopUpViewImpl popUpViewImpl = new PopUpViewImpl( "", "", "", "" );
            new PopUpPresenter( model, popUpViewImpl );
            UI.getCurrent().addWindow( popUpViewImpl );
        }
    }
}
