package com.siulkilulki.presenters;

import com.siulkilulki.model.Meeting;
import com.siulkilulki.model.Meetings;
import com.siulkilulki.views.MeetingsViewImpl;
import com.siulkilulki.views.PopUpView;
import com.siulkilulki.views.PopUpViewImpl;
import com.vaadin.ui.Button;

/**
 * Created by siulkilulki on 21.03.16.
 */
public class PopUpPresenter implements PopUpView.PopUpViewListener
{


    Meeting model;
    PopUpViewImpl view;

    public PopUpPresenter( Meeting model, PopUpViewImpl view )
    {
        this.model = model;
        this.view = view;

        view.addListener( this );
    }

    @Override
    public void buttononClick( Button.ClickEvent event )
    {
        if ( view.getCloseButton() == event.getButton() )
        {
            view.close();
        }
    }
}
